Debian Bug report logs - #263831
ITP: libgd-barcode-perl -- Create barcode image with GD

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: deckrider@gmail.com

Date: Thu, 5 Aug 2004 22:18:06 UTC

Owned by: deckrider@gmail.com

Severity: wishlist

Tags: patch

Fixed in version libgd-barcode-perl/1.15-1

Done: Martín Ferrari <martin.ferrari@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#263831; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@myrealbox.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Everly <deckrider@myrealbox.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libgd-barcode-perl -- Create barcode image with GD
Date: Thu, 05 Aug 2004 08:28:27 -0600
Package: wnpp
Severity: wishlist

I am not a Debian Developer, so I am looking for sponsorship.
My packages for the following are available at:

  http://users.adelphia.net/~david.everly/emilda/sarge/
  deb http://users.adelphia.net/~david.everly emilda/sarge/
  deb-src http://users.adelphia.net/~david.everly emilda/sarge/

* Package name    : libgd-barcode-perl
  Version         : 1.15
  Upstream Author : Kawai Takanori <GCD00051@nifty.ne.jp>
* URL             : http://www.example.org/
* License         : GPL or Artistic
  Description     : Create barcode image with GD

GD::Barcode is a subclass of GD and allows you to create barcode image
with GD. This module based on "Generate Barcode Ver 1.02 By Shisei
Hanai 97/08/22".

>From 1.14, you can use this module even if no GD (except plot method).

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=C, LC_CTYPE=C



Tags added: patch Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as deckrider@yahoo.com. Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from David Everly <deckrider@myrealbox.com> to deckrider@yahoo.com. Request was from David Everly <david.everly@adelphia.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from deckrider@yahoo.com to deckrider@gmail.com. Request was from David Everly <deckrider@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#263831; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Martín Ferrari" <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #18 received at 263831@bugs.debian.org (full text, mbox):

From: "Martín Ferrari" <martin.ferrari@gmail.com>
To: deckrider@gmail.com, 263831@bugs.debian.org
Subject: Status of ITP
Date: Mon, 6 Mar 2006 20:45:27 -0300
Hi!

Not aware of your ITP, today I packaged libgd-barcode-perl for my own
use and when I was about to file an ITP for uploading to debian, I saw
yours.

Are you still going to package/upload it? If not, I would like to...

Regards, Martín.

--
Martín Ferrari



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#263831; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Margarita Manterola" <margamanterola@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #23 received at 263831@bugs.debian.org (full text, mbox):

From: "Margarita Manterola" <margamanterola@gmail.com>
To: deckrider@gmail.com, 263831@bugs.debian.org
Subject: GD Barcode
Date: Thu, 9 Mar 2006 11:44:30 -0300
Hi!

I've seen that you packaged libgd-barcode-perl, I'd be interested in
sponsoring that package, if you are still interested in maintaining it
for Debian.

If so, you probably will need to update the package a bit, but we can
work that out.  You can mail me here, or find me on #debian-mentors
(irc.freenode.net) as "marga".

--
Besos,
Marga



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#263831; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #28 received at 263831@bugs.debian.org (full text, mbox):

From: David Everly <deckrider@gmail.com>
To: Martín Ferrari <martin.ferrari@gmail.com>
Cc: 263831@bugs.debian.org
Subject: Re: Status of ITP
Date: Wed, 15 Mar 2006 06:29:28 -0700
[Message part 1 (text/plain, inline)]
Martín,

I think everything in this mail is done.  The updated package is here:

http://users.adelphia.net/~david.everly/emilda/sarge/

Thanks,
Dave.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 15 Mar 2006 06:01:34 -0700
Source: libgd-barcode-perl
Binary: libgd-barcode-perl
Architecture: source all
Version: 1.15-5
Distribution: unstable
Urgency: low
Maintainer: David Everly <deckrider@gmail.com>
Changed-By: David Everly <deckrider@gmail.com>
Description: 
 libgd-barcode-perl - Create barcode images with GD (GD::Barcode)
Changes: 
 libgd-barcode-perl (1.15-5) unstable; urgency=low
 .
   * Updated email address.
   * Added examples.  Thanks: Martín Ferrari <martin.ferrari@gmail.com>
   * Clean up dh_make cruft in debian/rules.  Thanks: Martín Ferrari
     <martin.ferrari@gmail.com>
   * Better description and add package name for apt-cache search.
     Thanks: Martín Ferrari <martin.ferrari@gmail.com>
Files: 
 acec7ed626f06cbd2c184a8493f1f75d 642 perl optional libgd-barcode-perl_1.15-5.dsc
 7f140fcda737c2e941897f4e9b610471 2302 perl optional libgd-barcode-perl_1.15-5.diff.gz
 8c2d7abef5c80d7baa6ef934bdf013f6 924490 perl optional libgd-barcode-perl_1.15-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFEGBKeZCfddIUnua8RAhgxAJ0Q78vcp0os+inl9Mao/k7Q/jvHBwCgno2F
cb8sF7KdER5iyAXZyvOLrEM=
=wXUD
-----END PGP SIGNATURE-----


On Mon, Mar 06, 2006 at 09:47:59PM -0300, Martín Ferrari wrote:
> David, my sponsor told me that she'd upload your package. And ask me
> to review it first, so, some comments:
> 
> - You're not including the examples, which can be handy.
> - I think the upstream description is not very good, since it is not a
> GD subclass in the first place. Also, you could add the package name
> (for apt-cache search) and the barcode types supported.
> - Lastly, remember to clean up thinks left by dh_make in the rules file.
> 
> 
> 
> On 3/6/06, Martín Ferrari <martin.ferrari@gmail.com> wrote:
> > Sorry, I really missed that one.. I googled for the package and didn't
> > found anything recent
> >
> > Well... I guess you'll have to bug louder in -mentors so finally
> > somebody does the upload! :)
> >
> > On 3/6/06, David Everly <deckrider@gmail.com> wrote:
> > > On 3/6/06, Martín Ferrari <martin.ferrari@gmail.com> wrote:
> > > > Hi!
> > > >
> > > > Oh, I thought you'd have lost interest in it, since there was nothing
> > > > in -mentors since march/05 about it.
> > >
> > > My last message is here:
> > >
> > > http://lists.debian.org/debian-mentors/2006/02/msg00066.html
> > >
> > > > I'm not a DD yet, still waiting for my AM. My usual sponsor was
> > > > checking my package and remind me of doing an ITP :)
> > > >
> > > >
> > > > On 3/6/06, David Everly <deckrider@gmail.com> wrote:
> > > > > It is already available as per the ITP.  However, I have no sponsor
> > > > > yet.  Are you a Debian Developer?
> > > > >
> > > > > On 3/6/06, Martín Ferrari <martin.ferrari@gmail.com> wrote:
> > > > > > Hi!
> > > > > >
> > > > > > Not aware of your ITP, today I packaged libgd-barcode-perl for my own
> > > > > > use and when I was about to file an ITP for uploading to debian, I saw
> > > > > > yours.
> > > > > >
> > > > > > Are you still going to package/upload it? If not, I would like to...
> > > > > >
> > > > > > Regards, Martín.
> > > > > >
> > > > > > --
> > > > > > Martín Ferrari
> > > > > >
> > > > >
> > > > >
> > > > > --
> > > > > ASCII ribbon campaign:
> > > > > ()  against HTML email
> > > > > /\  against Microsoft attachments
> > > > >     Information:  http://www.expita.com/nomime.html
> > > > >
> > > >
> > > >
> > > > --
> > > > Martín Ferrari
> > > >
> > >
> > >
> > > --
> > > ASCII ribbon campaign:
> > > ()  against HTML email
> > > /\  against Microsoft attachments
> > >     Information:  http://www.expita.com/nomime.html
> > >
> >
> >
> > --
> > Martín Ferrari
> >
> 
> 
> --
> Martín Ferrari
> 

-- 
Encrypted Mail Preferred:
    Key ID:  8527B9AF
    Key Fingerprint:  E1B6 40B6 B73F 695E 0D3B  644E 6427 DD74 8527 B9AF
    Information:  http://www.gnupg.org/
                                                                                
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
    Information:  http://www.expita.com/nomime.html
[signature.asc (application/pgp-signature, inline)]

Owner changed from deckrider@yahoo.com to deckrider@gmail.com. Request was from David Everly <deckrider@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@gmail.com:
Bug#263831; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@gmail.com. Full text and rfc822 format available.

Message #35 received at 263831@bugs.debian.org (full text, mbox):

From: David Everly <deckrider@gmail.com>
To: Margarita Manterola <margamanterola@gmail.com>
Cc: Martín Ferrari <martin.ferrari@gmail.com>, 263831@bugs.debian.org
Subject: Re: libgd-barcode-perl Depends: libgd-gd2-perl
Date: Wed, 15 Mar 2006 06:46:15 -0700
[Message part 1 (text/plain, inline)]
Hi Marga,

I can see both viewpoints.  Perhaps you can help us solve this:

The issue is whether to depend on libgd-gd2-perl or to recommend
libgd-gd2-perl.

The examples included with the package require libgd-gd2-perl, but as
Martín indicates, perhaps someone finds a use for libd-barcode-perl
without using "plot".

And if we only recommend libgd-gd2-perl, then should other packages
needing libd-barcode-perl and using "plot" implement the libgd-gd2-perl
Depends?

Thanks for your help,
Dave.

On Wed, Mar 08, 2006 at 12:10:11AM -0300, Martín Ferrari wrote:
> Hi again!
> 
> On 3/7/06, David Everly <deckrider@gmail.com> wrote:
> > On 3/7/06, David Everly <deckrider@gmail.com> wrote:
> > > On 3/6/06, Martín Ferrari <martin.ferrari@gmail.com> wrote:
> > > > One thing more: why you added the gd dependency? It is not true that
> > > > you can go without it? (as upstream says)
> >
> > It seemed to me that libgd-barcode-perl wouldn't be very useful
> > without plot, so I thought it would be good to require libgd-gd2-perl
> > so that everything in libgd-barcode-perl would always work.
> >
> > I assume an alternative to this would be to require packages needing
> > to use plot to know that libgd-barcode-perl depends on
> > libgd-gd2-perl in order for plot to be functional.  Are you suggesting
> > this?  Or somehow having a "hollow" libgd-barcode-with-plot-perl
> > package to manage that issue?
> >
> 
> I haven't really tried to see if it works OK, but using it without GD
> would have a lot of sense if you want to produce your own image, but
> you need the black/white pattern specific to each standard. I never
> needed to do that, but upstream says it is there...
> 
> As you say, packages needing to generate an barcode image, would have
> to require also libgd, and it is not obvious. May be you should say it
> explicitly, and put a recommends line for libgd. I don't really think
> the "hollow" package is a good idea, for such an small and simple
> library.

-- 
Encrypted Mail Preferred:
    Key ID:  8527B9AF
    Key Fingerprint:  E1B6 40B6 B73F 695E 0D3B  644E 6427 DD74 8527 B9AF
    Information:  http://www.gnupg.org/
                                                                                
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
    Information:  http://www.expita.com/nomime.html
[signature.asc (application/pgp-signature, inline)]

Reply sent to Martín Ferrari <martin.ferrari@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to deckrider@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 263831-close@bugs.debian.org (full text, mbox):

From: Martín Ferrari <martin.ferrari@gmail.com>
To: 263831-close@bugs.debian.org
Subject: Bug#263831: fixed in libgd-barcode-perl 1.15-1
Date: Tue, 01 Aug 2006 08:30:49 -0700
Source: libgd-barcode-perl
Source-Version: 1.15-1

We believe that the bug you reported is fixed in the latest version of
libgd-barcode-perl, which is due to be installed in the Debian FTP archive:

libgd-barcode-perl_1.15-1.diff.gz
  to pool/main/libg/libgd-barcode-perl/libgd-barcode-perl_1.15-1.diff.gz
libgd-barcode-perl_1.15-1.dsc
  to pool/main/libg/libgd-barcode-perl/libgd-barcode-perl_1.15-1.dsc
libgd-barcode-perl_1.15-1_all.deb
  to pool/main/libg/libgd-barcode-perl/libgd-barcode-perl_1.15-1_all.deb
libgd-barcode-perl_1.15.orig.tar.gz
  to pool/main/libg/libgd-barcode-perl/libgd-barcode-perl_1.15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 263831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martín Ferrari <martin.ferrari@gmail.com> (supplier of updated libgd-barcode-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 31 Jul 2006 16:08:39 -0300
Source: libgd-barcode-perl
Binary: libgd-barcode-perl
Architecture: source all
Version: 1.15-1
Distribution: unstable
Urgency: low
Maintainer: Martín Ferrari <martin.ferrari@gmail.com>
Changed-By: Martín Ferrari <martin.ferrari@gmail.com>
Description: 
 libgd-barcode-perl - Library to create barcode images (GD::Barcode)
Closes: 263831
Changes: 
 libgd-barcode-perl (1.15-1) unstable; urgency=low
 .
   * Initial release. (Closes: #263831: ITP: libgd-barcode-perl -- Create
     barcode image with GD - Debian Bug report logs)
Files: 
 a1f41567a5773ca42b8464c2eaeeed1e 650 perl optional libgd-barcode-perl_1.15-1.dsc
 53788170efb00b671ffb6ced5b5b897b 892881 perl optional libgd-barcode-perl_1.15.orig.tar.gz
 edb8d10ac3aca7e465e5a3ccefb795f0 1806 perl optional libgd-barcode-perl_1.15-1.diff.gz
 a06012f4524ce29b87523179d06bfb7c 924084 perl optional libgd-barcode-perl_1.15-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEz1M4lAuUx1tI/64RAtkvAJ9IaB1Lwx8pAlWrawNfu67CQldRlQCePduL
zkrFewbOtulkr9JxmYybEOo=
=YpQV
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:00:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:15:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.